Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.mro
Class ExperimentResultGenerator.InfoPool

    java.lang.Object
      infomat.mro.ExperimentResultGenerator.InfoPool

Enclosing class:
  ExperimentResultGenerator

    private class ExperimentResultGenerator.InfoPool

extends java.lang.Object

Private class for storing info for each directory.

Field Summary
`private java.util.HashMap<ExperimentResultGenerator.Info,java.lang.String>` | `infoPathMap`
`private java.util.Vector<ExperimentResultGenerator.Info>` | `infoVector`
`private java.util.HashMap<java.lang.String,ExperimentResultGenerator.Info>` | `pathInfoMap`

Constructor Summary
`private` | `ExperimentResultGenerator.InfoPool()`

Method Summary
`void` | `addInfo(java.io.File dir, Measures measures, PropertiesPool pp)`
`java.util.Vector<ExperimentResultGenerator.Info>` | `getInfoVector()`
`Measures` | `getMeasuresForPath(java.lang.String pathName)`
`java.lang.String` | `getPathForInfo(ExperimentResultGenerator.Info info)`
`PropertiesPool` | `getPropertiesPoolForPath(java.lang.String pathName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### infoVector

    private java.util.Vector<ExperimentResultGenerator.Info> infoVector

### pathInfoMap

    private java.util.HashMap<java.lang.String,ExperimentResultGenerator.Info> pathInfoMap

### infoPathMap

    private java.util.HashMap<ExperimentResultGenerator.Info,java.lang.String> infoPathMap

Constructor Detail

### ExperimentResultGenerator.InfoPool

    private ExperimentResultGenerator.InfoPool()

Method Detail

### addInfo

    public void addInfo(java.io.File dir,
                        Measures measures,
                        PropertiesPool pp)

### getMeasuresForPath

    public Measures getMeasuresForPath(java.lang.String pathName)

### getPropertiesPoolForPath

    public PropertiesPool getPropertiesPoolForPath(java.lang.String pathName)

### getPathForInfo

    public java.lang.String getPathForInfo(ExperimentResultGenerator.Info info)

### getInfoVector

    public java.util.Vector<ExperimentResultGenerator.Info> getInfoVector()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD